JBoss API: Class MethodMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class MethodMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.MethodMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class MethodMetaData
extends MetaData

The combination of the method-permission, container-transaction

The method-permission element specifies that one or more security roles are allowed to invoke one or more enterprise bean methods. The method-permission element consists of an optional description, a list of security role names, or an indicator to specify that the methods are not to be checked for authorization, and a list of method elements. The security roles used in the method-permission element must be defined in the security-role element of the deployment descriptor, and the methods must be methods defined in the enterprise bean’s component and/or home interfaces.

The container-transaction element specifies how the container must manage transaction scopes for the enterprise bean’s method invocations. The element consists of an optional description, a list of method elements, and a transaction attribute. The transaction attribute is to be applied to all the specified methods.

Version:
  $Revision: 1.8.4.2 $
Author:
  Sebastien Alborini, Scott.Stark@jboss.org

Field Summary
`static char` | `HOME_METHOD`
`static char` | `LOCAL_HOME_METHOD`
`static char` | `LOCAL_METHOD`
`static char` | `REMOTE_METHOD`

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`MethodMetaData()`

Method Summary
`java.lang.String` | `getEjbName()`
`java.lang.String` | `getMethodName()`
`java.util.Iterator` | `getParams()`
`java.util.Set` | `getRoles()`
`byte` | `getTransactionType()`
`void` | `importEjbJarXml(org.w3c.dom.Element element)`
`boolean` | `isExcluded()`
`boolean` | `isHomeMethod()`
`boolean` | `isIntfGiven()`
`boolean` | `isLocalHomeMethod()`
`boolean` | `isLocalMethod()`
`boolean` | `isParamGiven()`
`boolean` | `isRemoteMethod()`
`boolean` | `isUnchecked()`
`boolean` | `patternMatches(java.lang.String name, java.lang.Class[] arg, boolean remote)`
`boolean` | `patternMatches(java.lang.String name, java.lang.String[] arg, boolean remote)`
`void` | `setExcluded()`
`void` | `setRoles(java.util.Set perm)`
`void` | `setTransactionType(byte type)`
`void` | `setUnchecked()`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importJbossXml, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOME_METHOD

    public static final char HOME_METHOD

### REMOTE_METHOD

    public static final char REMOTE_METHOD

### LOCAL_HOME_METHOD

    public static final char LOCAL_HOME_METHOD

### LOCAL_METHOD

    public static final char LOCAL_METHOD

Constructor Detail

### MethodMetaData

    public MethodMetaData()

Method Detail

### getMethodName

    public java.lang.String getMethodName()

### getEjbName

    public java.lang.String getEjbName()

### isHomeMethod

    public boolean isHomeMethod()

### isRemoteMethod

    public boolean isRemoteMethod()

### isLocalHomeMethod

    public boolean isLocalHomeMethod()

### isLocalMethod

    public boolean isLocalMethod()

### isUnchecked

    public boolean isUnchecked()

### isExcluded

    public boolean isExcluded()

### isIntfGiven

    public boolean isIntfGiven()

### isParamGiven

    public boolean isParamGiven()

### getParams

    public java.util.Iterator getParams()

### getTransactionType

    public byte getTransactionType()

### setTransactionType

    public void setTransactionType(byte type)

### getRoles

    public java.util.Set getRoles()

### setRoles

    public void setRoles(java.util.Set perm)

### setUnchecked

    public void setUnchecked()

### setExcluded

    public void setExcluded()

### patternMatches

    public boolean patternMatches(java.lang.String name,
                                  java.lang.Class[] arg,
                                  boolean remote)

### patternMatches

    public boolean patternMatches(java.lang.String name,
                                  java.lang.String[] arg,
                                  boolean remote)

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

  Overrides:
    `importEjbJarXml` in class `MetaData`
  Parameters:
    `a` - method element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.